json_pointer_private.h File Reference

Do not use, json-c internal, may be changed or removed at any time. More...

## Data Structures

struct | json_pointer_get_result

## Typedefs

typedef int(* | json_pointer_set_cb) (json_object *parent, const char *key, size_t idx, json_object *value, void *priv)

## Functions

int | json_pointer_get_internal (struct json_object *obj, const char *path, struct json_pointer_get_result *res)
int | json_pointer_set_with_cb (struct json_object **obj, const char *path, struct json_object *value, json_pointer_set_cb set_cb, int cb_handles_obj, void *priv)

## Detailed Description

Do not use, json-c internal, may be changed or removed at any time.

## Typedef Documentation

## json_pointer_set_cb

typedef int(* json_pointer_set_cb) (json_object *parent, const char *key, size_t idx, json_object *value, void *priv)

## Function Documentation

## json_pointer_get_internal()

int json_pointer_get_internal | ( | struct json_object * | obj,
|  | const char * | path,
|  | struct json_pointer_get_result * | res )

## json_pointer_set_with_cb()

int json_pointer_set_with_cb | ( | struct json_object ** | obj,
|  | const char * | path,
|  | struct json_object * | value,
|  | json_pointer_set_cb | set_cb,
|  | int | cb_handles_obj,
|  | void * | priv )